# DataExchange
TKXDESTEP
STEPCAFControl

# STEPCAFControl_DataMapNodeOfDataMapOfLabelExternFile Class Reference

`#include <STEPCAFControl_DataMapNodeOfDataMapOfLabelExternFile.hxx>`

## Public Member Functions

| STEPCAFControl_DataMapNodeOfDataMapOfLabelExternFile (const TDF_Label &K, const Handle(STEPCAFControl_ExternFile)&I, const TCollection_MapNodePtr &n)
TDF_Label & | Key () const
Handle_STEPCAFControl_ExternFile & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TDF_Label | myKey
Handle_STEPCAFControl_ExternFile | myValue

## Constructor & Destructor Documentation

STEPCAFControl_DataMapNodeOfDataMapOfLabelExternFile::STEPCAFControl_DataMapNodeOfDataMapOfLabelExternFile | ( | const TDF_Label & | K,
|  | const Handle(STEPCAFControl_ExternFile)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const STEPCAFControl_DataMapNodeOfDataMapOfLabelExternFile::Handle | ( | Standard_Type |  | ) | const

TDF_Label& STEPCAFControl_DataMapNodeOfDataMapOfLabelExternFile::Key | ( |  | ) | const

Handle_STEPCAFControl_ExternFile& STEPCAFControl_DataMapNodeOfDataMapOfLabelExternFile::Value | ( |  | ) | const

## Field Documentation

TDF_Label STEPCAFControl_DataMapNodeOfDataMapOfLabelExternFile::myKey `[private]`

Handle_STEPCAFControl_ExternFile STEPCAFControl_DataMapNodeOfDataMapOfLabelExternFile::myValue `[private]`

The documentation for this class was generated from the following file:

- STEPCAFControl_DataMapNodeOfDataMapOfLabelExternFile.hxx